{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.ender_scourge.move": {
			"states": {
				"default": {
					"transitions": [
						{ "walk": "query.ground_speed >= 0.3" }
					],
					"blend_transition": 0.2
				},
				"walk": {
					"animations": [
						"walk"
					],
					"transitions": [
						{ "default": "query.ground_speed < 0.3" },
						{ "cast": "q.is_casting" }
					],
					"blend_transition": 0.2
				},
				"cast": {
					"animations": [
						"cast"
					],
					"transitions": [
						{ "default": "!q.is_casting" }
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.ender_scourge.particle": {
			"states": {
				"default": {
					"transitions": [
						{ "flame": "query.is_alive && query.has_target" },
						{ "flame_with_cast": "query.is_casting && query.is_alive && query.has_target" }
					]
				},
				"flame": {
					"animations": [
						"scourge_fire"
					],
					"transitions": [
						{ "default": "!query.is_alive || !query.has_target" },
						{ "flame_with_cast": "query.is_casting && query.is_alive && query.has_target" }
					]
				},
				"flame_with_cast": {
					"animations": [
						"scourge_fire",
						"scourge_skulls"
					],
					"transitions": [
						{ "default": "!query.is_alive || !query.has_target" },
						{ "flame": "!query.is_casting && query.is_alive && query.has_target" }
					]
				}
			}
		}
	}
}